﻿@model MvcWebsiteOcc.Areas.administrators.Models.BookCar



@using (Html.BeginForm("_quick_book", "common", FormMethod.Post, new { id = "quickBook", @class = "form-find-car" }))
{
    <div class="row">
        <div class="col-md-12 wow fadeInDown form_content_book" data-wow-offset="200" data-wow-delay="600ms">
            <div class="col-md-3 wow fadeInDown" data-wow-offset="200" data-wow-delay="500ms">
                @*  <div class="form-group">
                <button type="submit" id="formFindCarSubmit" class="btn btn-block btn-submit ripple-effect btn-theme">Đặt xe Nhanh</button>
            </div>*@
                <h2 class="section-title text-left no-margin">
                    <span>ĐẶT XE TRỰC TUYẾN </span>
                    <small>BOOK A TRIP
                    </small>
                </h2>
            </div>
            <div class="col-md-3 wow fadeInDown" data-wow-offset="200" data-wow-delay="300ms">
                <div class="form-group">
                    <label for="formSearchUpLocation">Họ tên / Name</label>

                    @Html.TextBoxFor(p => p.CusName, new { @class = "form-control ", placeholder = "Họ & tên / Name *" })
                    @Html.ValidationMessageFor(m => m.CusName)

                </div>
            </div>
            <div class="col-md-3 wow fadeInDown" data-wow-offset="200" data-wow-delay="400ms">
                <div class="form-group">
                    <label for="formSearchUpLocation">Số điện thoại/Mobile</label>
                    @Html.TextBoxFor(p => p.CusMobile, new { @class = "form-control  mobilemask", placeholder = "Di động / Mobile *" })
                    @Html.ValidationMessageFor(m => m.CusMobile)
                </div>
            </div>
            <div class="col-md-3 wow fadeInDown" data-wow-offset="200" data-wow-delay="300ms">
                <div class="form-group">
                    <label for="formSearchUpLocation">Email</label>
                    @Html.TextBoxFor(p => p.CusEmail, new { @class = "form-control ", placeholder = "E-mail" })
                    @Html.ValidationMessageFor(m => m.CusEmail)
                </div>
            </div>
        </div>
        <div class="col-md-12 wow fadeInDown form_content_book" data-wow-offset="200" data-wow-delay="600ms">
            <div class="col-sm-4 col-xs-12 wow">
                <div class="form-group has-icon has-label selectpicker-wrapper">
                    <label>Điểm xuất phát / From</label>
                    @Html.TextBoxFor(p => p.StartAddress, new { @class = "form-control ", placeholder = "Tỉnh,Thành Phố / City,State *" })
                    <span class="form-control-icon"><i class="fa fa-location-arrow" style="color: #39b54a;"></i></span>
                    @Html.ValidationMessageFor(m => m.StartAddress)
                    <i class="fa fa-exchange gone"></i>
                </div>
            </div>

            <div class="col-sm-4 col-xs-12 wow">
                <div class="form-group has-icon has-label selectpicker-wrapper">
                    <label>Điểm đến / To</label>
                    @Html.TextBoxFor(p => p.EndAddress, new { @class = "form-control ", placeholder = "Tỉnh,Thành Phố / City,State *" })
                    <span class="form-control-icon "><i class="fa fa-map-marker" style="color: #39b54a;"></i></span>
                    @Html.ValidationMessageFor(m => m.EndAddress)
                </div>
            </div>

            <div class="col-sm-4 col-xs-12 wow">
                <div class="form-group has-icon has-label">
                    <label>Thời gian hành trình / Journey Times </label>
                    <input readonly="readonly" type="text" class="form-control date_accept pull-right   form_control_add" name="date_start_end"
                                                 value="@DateTime.Now.Date.ToString("dd/MM/yyyy") - @DateTime.Now.Date.ToString("dd/MM/yyyy")" 
                                                            data-mask="99/99/9999 - 99/99/9999"/>
                    <span class="form-control-icon"><i class="fa fa-calendar" style="color: #39b54a;"></i></span>
                </div>

            </div>
        </div>
        <div class="col-md-12 wow fadeInDown form_content_book" data-wow-offset="200" data-wow-delay="600ms">

            <div class="col-sm-4 col-xs-12 wow">

                <div class="form-group selectpicker-wrapper">
                    <label for="formSearchUpLocation">Chọn xe / Choose Car</label>
                    <select id="ModID" name="ModID" class="selectpicker form-control input-validation-error car_ok" data-val="true" data-val-number="The field ModID must be a number." data-val-required="Bạn chưa chọn xe" data-live-search="true" data-width="100%" data-toggle="tooltip" title="Select">
                        @{Html.RenderAction("_quick_book_car", "common");}
                    </select>

                </div>

                <div class="form-group has-icon has-label">
                    <label for="formSearchUpLocation">Ước tính số người / Passengers</label>
                    <div class="drop_view">
                        <!-- trigger button -->
                        <button type="button" class="drop_btn sap_xep_btn"><span id="Total">0</span> người / passengers</button>
                        <!-- dropdown menu -->
                        <div class=" drop_view_menu sap_xep_list bg_grey_light" style="display: none">
                            <div class="col-sm-12 col-xs-12 wow" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class=" passengers-panel">
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Người lớn / Adults(12-61)</label></dt>
                                        <dd class="qty-controler">
                                            <button type="button" class="btn-ctrl minus">
                                                <span class="icon icn-021minuswhite-lrg">-</span>
                                            </button>
                                            <input tabindex="-1" id="Man" name="Man" type="text" value="0" class="ticket-qty" readonly="">
                                            <button type="button" class="btn-ctrl plus">
                                                <span class="icon icn-020pluswhite-lrg">+</span>
                                            </button>
                                        </dd>
                                    </dl>
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Trẻ em / Children(2-11)</label></dt>
                                        <dd class="qty-controler">
                                            <button type="button" class="btn-ctrl minus ">
                                                <span class="icon icn-021minuswhite-lrg">-</span>
                                            </button>
                                            <input tabindex="-1" id="Child" name="Child" type="text" value="0" class="ticket-qty" readonly="">
                                            <button type="button" class="btn-ctrl plus">
                                                <span class="icon icn-020pluswhite-lrg">+</span>
                                            </button>
                                        </dd>
                                    </dl>
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Người già / Seniors(62+)</label></dt>
                                        <dd class="qty-controler">
                                            <button type="button" class="btn-ctrl minus ">
                                                <span class="icon icn-021minuswhite-lrg">-</span>
                                            </button>
                                            <input tabindex="-1" id="Senior" name="Senior" type="text" value="0" class="ticket-qty" readonly="">
                                            <button type="button" class="btn-ctrl plus">
                                                <span class="icon icn-020pluswhite-lrg">+</span>
                                            </button>
                                        </dd>
                                    </dl>
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Người Khuyết tật / Wheelchairs</label></dt>
                                        <dd class="qty-controler">
                                            <button type="button" class="btn-ctrl minus ">
                                                <span class="icon icn-021minuswhite-lrg">-</span>
                                            </button>
                                            <input tabindex="-1" id="Wheelchair" name="Wheelchair" type="text" value="0" class="ticket-qty" readonly="">
                                            <button type="button" class="btn-ctrl plus">
                                                <span class="icon icn-020pluswhite-lrg">+</span>
                                            </button>
                                        </dd>
                                    </dl>
                                </div>
                            </div>
                        </div>
                    </div>
                    <script>

                        $(document).on("click", function (event) {
                            var $trigger = $(".drop_view");
                            if (!$trigger.find('.drop_view_menu').has(event.target).length) {
                                if ($trigger !== event.target && !$trigger.has(event.target).length) {
                                    $(".drop_view_menu").slideUp();
                                    if ($trigger.find(".drop_btn").hasClass('view_drop') == true) {
                                        $trigger.find(".drop_btn").removeClass("view_drop");
                                    }
                                }
                            }
                        });


                        $(document).ready(function () {
                            $('.sap_xep_btn').click(function () {
                                $('.sap_xep_list').slideToggle();
                                $(this).toggleClass("view_drop");
                            });
                            //$(".drop_view").click(function () {
                            //    $(this).find(".sap_xep_list").slideToggle();
                            //    $(this).find(".sap_xep_btn").toggleClass("view_drop");
                            //});



                            var slist = $('.sap_xep_list');
                            slist.on('click', '.open_sub_loc', function () {
                                var $this = $(this);

                                if (!$this.next('ul').length) return false;

                                $this.toggleClass('view_sub_drop').siblings("ul").stop().slideToggle();
                            });

                            function checkTotalAdd() {
                                var person = parseInt($('#Total').html());
                                if (person >= 45) {
                                    $('.plus').disabled = true;
                                    $('.plus').addClass('diss');
                                    return false;
                                }
                                else {
                                    $('.plus').disabled = false;
                                    $('.plus').removeClass('diss');
                                    return true;
                                }
                            }

                            function checkTotalDel() {
                                var person = parseInt($('#Total').html());
                                if (person == 0) {
                                    $('.minus').disabled = true;
                                    $('.minus').addClass('diss');
                                    return false;
                                }
                                else {
                                    $('.minus').disabled = false;
                                    $('.minus').removeClass('diss');
                                    return true;
                                }
                            }
                            checkTotalDel();


                            $('.plus').click(function () {
                                if (checkTotalAdd() == true) {
                                    var total = parseInt($(this).prev("input").val());
                                    total = total + 1;
                                    $(this).prev("input").val(total);
                                    var person = parseInt($('#Total').html());
                                    person = person + 1;
                                    $('#Total').html(person);
                                    $(this).prev().prev("button").disabled = false;
                                    $(this).prev().prev("button").removeClass('diss');
                                    checkTotalAdd();
                                }

                            });
                            $('.minus').click(function () {
                                var total = parseInt($(this).next("input").val());
                                if (total == 0) {
                                    $(this).disabled = true;
                                    $(this).addClass('diss');
                                    checkTotalAdd();
                                }
                                else {
                                    total = total - 1;
                                    $(this).next("input").val(total);
                                    var person = parseInt($('#Total').html());
                                    person = person - 1;
                                    $('#Total').html(person);
                                    if (total == 0) {
                                        $(this).disabled = true;
                                        $(this).addClass('diss');
                                    }
                                    checkTotalAdd();
                                }


                            });

                        });
                    </script>
                </div>
                <div class="form-group has-icon has-label">
                    <label for="formSearchUpLocation">Thanh toán/ Payment</label>
                    <div class="drop_view">
                        <!-- trigger button -->
                        <button type="button" class="drop_btn _orther_btn">Phương thức / Type</button>
                        <!-- dropdown menu -->
                        <div class=" drop_view_menu _orther_list bg_grey_light" style="display: none">
                            <div class="col-sm-12 col-xs-12 wow" style="margin-top: 10px; margin-bottom: 10px;">
                                <div class=" passengers-panel">
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Trực tiếp / Direct Payment</label></dt>
                                        <dd class="qty-controler">

                                            <div class="radio radio-inline radio-success">
                                                <input type="radio" id="CheckOutType1" value="1" name="CheckOutType" checked="">
                                                <label for="CheckOutType1"></label>
                                            </div>

                                        </dd>
                                    </dl>
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Chuyển khoản / Transfer Payment</label></dt>
                                        <dd class="qty-controler">
                                            <div class="radio radio-inline radio-success">
                                                <input type="radio" id="CheckOutType2" value="2" name="CheckOutType">
                                                <label for="CheckOutType2"></label>

                                            </div>
                                        </dd>
                                    </dl>
                                    <dl class="add-passenger">
                                        <dt class="passenger-title">
                                            <label for="adult-num">Có VAT / Has VAT</label></dt>
                                        <dd class="qty-controler">
                                            <div class="checkbox checkbox-success">
                                                <input id="checkboxl5" type="checkbox" name="hasVAT" value="true">
                                                <label for="checkboxl5"></label>
                                            </div>
                                        </dd>
                                    </dl>

                                </div>
                            </div>
                        </div>
                    </div>
                    <script>
                        $(document).ready(function () {
                            $('._orther_btn').click(function () {
                                $('._orther_list').slideToggle();
                                $(this).toggleClass("view_drop");
                            });

                            var slist = $('._orther_list');
                            slist.on('click', '.open_sub_loc', function () {
                                var $this = $(this);

                                if (!$this.next('ul').length) return false;

                                $this.toggleClass('view_sub_drop').siblings("ul").stop().slideToggle();
                            });
                        });
                    </script>
                </div>
            </div>
            <div class="col-sm-8 col-xs-12 wow">

                <div class="form-group selectpicker-wrapper">
                    <label for="formSearchUpLocation">Chi tiết lịch trình / Detail Itinerary</label>
                    <div class="form-group home_sum">
                        
                        <textarea class="form-control summernote" id="CusMessage" name="CusMessage" style="height: auto"></textarea>
                         <i style="font-size: 12px;">Ví dụ / Example: 02/03 - 03/03: Hà Nội - Bãi Cháy.</i>
                    </div>

                </div>
                <div class="form-group selectpicker-wrapper">
                    <div class="form-group">
                        <button type="submit" id="formFindCarSubmit" class="btn btn-block btn-submit ripple-effect btn-theme">Đặt xe Nhanh</button>
                    </div>
                </div>

            </div>
            <div class="col-md-12 col-xs-12 wow"  style="padding-top: 10px; padding-bottom: 10px;">
            <span><i style="">Để có báo giá chuẩn xác từ Thiên Thảo Nguyên, bạn nên cho Thiên Thảo Nguyên biết về chi tiết lịch trình.</i>
                <br />
                <i style=""> To get accurate quotation from Thien Thao Nguyen , you should give schedule details.</i>
                
            </span>
        </div>
        </div>

        
    </div>
}

<script>
    //var onBeginSubmitB = function () {
    //    var v = document.getElementById("ModID").value;
    //    if (v == 0) {
    //        document.getElementById("ModID").focus();
    //        $('#carErro').html("Bạn chưa chọn xe.");
    //        return false;
    //    }
    //};

    //$('#formFindCarSubmit').on("click", function () {
    //    //var kiemtra = kiemtrachonxechua();
    //    //if (kiemtra == true) {
    //    //    document.getElementById("quickBook").onsubmit();
    //    //}
    //    kiemtrachonxechua();

    //});



    //function kiemtrachonxechua() {
    //    document.getElementById("quickBook").onsubmit(function (event) {
    //        var v = document.getElementById("ModID").value;
    //        if (v != "") {

    //            document.getElementById("quickBook").onsubmit();
    //        }
    //        document.getElementById("ModID").focus();
    //        $('#carErro').html("Bạn chưa chọn xe.");
    //        event.preventDefault();
    //    });

    //};
    //var onSucsessB = function () {

    //    $('#carOK').html("Đặt xe thành công ! Cảm ơn bạn đã sử dụng dịch vụ của Thiên Thảo Nguyên.");
    //    document.getElementById("quickBook").reset();
    //    return true;
    //    //alert("Tin nhắn gửi thành công ! Cản ơn bạn đã góp ý với Thiên Thảo Nguyên.");

    //};
</script>

